public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/genson/
Date: Thu, 30 Mar 2023 16:09:02 +0000 (UTC)	[thread overview]
Message-ID: <1680192536.02196c63a552d4cce53f85053fb0ed49836c9a50.mgorny@gentoo> (raw)

commit:     02196c63a552d4cce53f85053fb0ed49836c9a50
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 30 16:07:21 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar 30 16:08:56 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02196c63

dev-python/genson: PEP517, py3.11

Closes: https://bugs.gentoo.org/896782
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/genson/genson-1.1.0-r1.ebuild | 33 ++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-python/genson/genson-1.1.0-r1.ebuild b/dev-python/genson/genson-1.1.0-r1.ebuild
new file mode 100644
index 000000000000..efd955f3b71a
--- /dev/null
+++ b/dev-python/genson/genson-1.1.0-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="GenSON is a powerful, user-friendly JSON Schema generator built in Python"
+HOMEPAGE="
+	https://github.com/wolverdude/GenSON/
+	https://pypi.org/project/genson/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+	test? (
+		dev-python/jsonschema[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	distutils-r1_src_prepare
+	# https://github.com/wolverdude/GenSON/pull/70
+	sed -i -e 's@TEST_URI@test://@' test/test_builder.py || die
+}


             reply	other threads:[~2023-03-30 16:09 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-30 16:09 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-16 15:28 [gentoo-commits] repo/gentoo:master commit in: dev-python/genson/ Michał Górny
2023-10-20 13:12 Michał Górny
2023-03-30 16:09 Michał Górny
2023-03-30 16:09 Michał Górny
2023-03-16  3:50 Michał Górny
2021-06-05 13:52 Michał Górny
2020-12-11 12:42 Michał Górny
2020-11-17 14:58 Michał Górny
2020-11-11 21:18 Alexey Shvetsov
2020-03-04 18:02 Alexey Shvetsov

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1680192536.02196c63a552d4cce53f85053fb0ed49836c9a50.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox